Bug 1009166 - EE subsystem global modules should support annotation flag
EE subsystem global modules should support annotation flag
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EE (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified
: DR0
: EAP 6.3.0
Assigned To: Stuart Douglas
Jan Martiska
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 17:14 EDT by William Antônio
Modified: 2015-04-28 11:09 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
The Java EE subsystem now supports an 'annotation' flag in the global module XML configuration. When set to 'true', the global module exports its annotation index to all Java EE deployments on the server.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:27:04 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker EAP6-157 Major Closed [RFE] EE subsystem global modules should support annotation flag (PRODMGT-385) 2016-08-22 06:41 EDT
JBoss Issue Tracker PRODMGT-385 Major Resolved EE subsystem global modules should support annotation flag 2016-08-22 06:41 EDT
JBoss Issue Tracker WFLY-314 Major Resolved EE subsystem global modules should support annotation flag 2016-08-22 06:41 EDT

  None (edit)
Description William Antônio 2013-09-17 17:14:04 EDT
Annotation indexes aren't imported with modules by default, but you can specify the annotation flag in the manifest Dependencies line or the annotation attribute in jboss-deployment-structure.xml.
The EE subsystem's global modules section does not let you specify that option, which means you can't define EJB interceptors and similar things in global modules. It should let you do that.

Related Community JIRA: https://issues.jboss.org/browse/WFLY-314
Comment 1 JBoss JIRA Server 2013-09-25 14:58:04 EDT
Jimmy Wilson <jawilson@redhat.com> made a comment on jira PRODMGT-385

Per John Doyle, we're going to consider this RFE for 6.3.
Comment 4 Kabir Khan 2014-02-05 16:52:40 EST
https://github.com/jbossas/jboss-eap/pull/872
Comment 5 Jan Martiska 2014-03-04 05:28:52 EST
Verified in 6.3.0.DR1.
Comment 6 Scott Mumford 2014-07-10 17:29:54 EDT
Marking for exclusion from Release Notes as this enhancement is covered in the New Features topic.
Comment 7 JBoss JIRA Server 2015-04-28 11:09:12 EDT
John Doyle <jdoyle@jboss.org> updated the status of jira EAP6-157 to Closed

Note You need to log in before you can comment on or make changes to this bug.